1 Reply Latest reply on Dec 14, 2009 5:53 PM by Ronald van Kuijk

    JBPM 4.2 with Seam 2.1.1 Compatibility

    Rocker Rocker Newbie

      Hi,

       

      I am using JBPM 4.2 Api with Spring and Hibernate. I added Seam 2.1.1 to enrich my application with Seam annotations. But i found out that Seam is not 'yet' compatible with JBPM 4.x Api ? Is this true .. i am getting error while auto deployment of jpdl file using seam

       

      java.lang.NoClassDefFoundError: org/jbpm/graph/exe/ProcessInstance

      at java.lang.Class.getDeclaredMethods0(Native Method)

      at java.lang.Class.privateGetDeclaredMethods(Class.java:2395)

      at java.lang.Class.getDeclaredMethods(Class.java:1763)

      at org.jboss.seam.Component.initMembers(Component.java:547)

      at org.jboss.seam.Component.<init>(Component.java:245)

       

      Has anyone used Seam with JBPM 4.1 or 4.2 . Should i rollback my JBPM to 3.2 ?